function simplemat(age_of_first_rep, lambda)
%this is your basic ten by ten matrix in your paper (or that was the goal) with
%age_of_first_rep and lambda as function variables
%you used lambda = 1;
datatitle='BasicTenbyTen';
code = 'TenbyTen';

a=0.5;
f=0;
themat = [ zeros(1, age_of_first_rep - 1) f*ones(1,10-age_of_first_rep+1); 
   a 0 0 0 0 0 0 0 0 0; 
   0 a 0 0 0 0 0 0 0 0; 
   0 0 a 0 0 0 0 0 0 0; 
   0 0 0 a 0 0 0 0 0 0; 
   0 0 0 0 a 0 0 0 0 0; 
   0 0 0 0 0 a 0 0 0 0; 
   0 0 0 0 0 0 a 0 0 0; 
   0 0 0 0 0 0 0 a 0 0; 
   0 0 0 0 0 0 0 0 a a]; 

%run a little loop to find f where max(eig(themat))=1;
while(max(eig(themat))<lambda)
   f=f+1;
   themat(1,:)=[ zeros(1, age_of_first_rep - 1) f*ones(1,10-age_of_first_rep+1)];
end
f=f-1;
themat(1,:)=[ zeros(1, age_of_first_rep - 1) f*ones(1,10-age_of_first_rep+1)];
while(max(eig(themat))<lambda)
   f=f+.0001;
   themat(1,:)=[ zeros(1, age_of_first_rep - 1) f*ones(1,10-age_of_first_rep+1)];
end


%this will specify where the variance terms show up
%1 is for fecundity; 2 is for survivorship
%note 1 will be replaced with evar(1) below and 2 with evar(2)
stochplace = [ 
   1 1 1 1 1 1 1 1 1 1; 
   2 0 0 0 0 0 0 0 0 0; 
   0 2 0 0 0 0 0 0 0 0; 
   0 0 2 0 0 0 0 0 0 0; 
   0 0 0 2 0 0 0 0 0 0; 
   0 0 0 0 2 0 0 0 0 0; 
   0 0 0 0 0 2 0 0 0 0; 
   0 0 0 0 0 0 2 0 0 0; 
   0 0 0 0 0 0 0 2 0 0; 
   0 0 0 0 0 0 0 0 2 2]; 

%this gives the eig vec and vals
[tmpa tmpb] = eig(themat);
[wheredom tmp]=find(tmpb==max(eig(themat))); %need to figure out what column the stable age struc appears in

stableagestruc = tmpa(:,wheredom)/sum(tmpa(:,wheredom));
%level of environmental variance; 
%log(normal(0,var=evar))
%It wasn't clear from your paper what statistical function you used for
%the variance term, so I used lognormal which is supported theoretically
%set so that 100*sqrt(var of [f s]*exp(norm(mean=0,var=evar)))/[f s] = 10% and 5% as speced on pg 8
evar=[0.1^2 0.05^2]; 
%correlation between the evars when the age i survivorships are chosen 
%from a multivariate normal; I set this to 1 since that's what 
%you did.  
ecorr=[1 1]; 

%total pop is not necessarily sum(N); for lots of populations with high juvenile
%mortality, sum(N) would be a time series tracking newborns since N(1) is very big
%relative to N(j!=1).  In an extinction analysis, most of these newborns are relatively
%unimportant since they'll die anyhow.  In my experience, the correct 
%'total pop' to use is the 'individuals that reach reproductive age'.
%Thus when you sum N, you weight N(i) by the fraction of age i individuals
%that reach reproductive age on average.
%weight is this weighting function
%I've set it to 1 here, that is a BAD thing to do in general, but I don't think it'll 
%matter too much here since the age structure is not horribly weighted to newborns
weight=[1 1 1 1 1 1 1 1 1 1];

%what stage is observed; 0 if age not observed; 1 if it is;
%you can put weightings on obsstage if observability is age dependent
%in your paper the whole population is observed, although that's unusual
%this needs to be a vector of the weights; put 0 if that age is not measured
obsstage = [1 1 1 1 1 1 1 1 1 1]; 

save simplemat datatitle code themat stochplace stableagestruc evar ecorr weight obsstage;

